X
X/Twitter Download
Download media from a X (Twitter) post. Supports videos, images, GIFs, and returns the highest quality media available.
POST
/twitterdlPOST
/twitterdlParameters
Request
bash
1curl -X POST 'https://execross.com/api/v3/twitterdl?url=https%3A%2F%2Fx.com%2FNASA%2Fstatus%2F1822017575636603155' \
2 -H 'Accept: application/json' \
3 -H 'apikey: YOUR-APIKEY'Response
Click Send to execute the request.
Example response
json
1{
2 "creator": "EXECROSS",
3 "ip": "61.5.71.228",
4 "result": {
5 "id": "1822017575636603155",
6 "conversationId": "1822017575636603155",
7 "created": "Fri Aug 09 21:10:16 +0000 2024",
8 "caption": "Last year, we brought pieces of a distant asteroid back to Earth to unlock the secrets of the universe.\n\nMeet the team that made it happen—tune in for \"NASA Explorers,\" now streaming for free on NASA+: https://t.co/211IiY4fXA",
9 "language": "en",
10 "bookmark": 59,
11 "favorite": 1961,
12 "reply": 156,
13 "retweet": 310,
14 "quote": 27,
15 "views": "551505",
16 "userid": "11348282",
17 "username": "NASA",
18 "fullname": "NASA",
19 "avatar": "https://pbs.twimg.com/profile_images/1321163587679784960/0ZxKlEKB_normal.jpg",
20 "verified": "Government",
21 "media": [
22 {
23 "type": "video",
24 "url": "https://video.twimg.com/amplify_video/1822017512667586560/vid/avc1/1920x1080/Vp1COoJQ6Ler0v0W.mp4",
25 "thumbnail": "https://pbs.twimg.com/media/GUkbUs3XAAEJToB.jpg",
26 "duration": 41841
27 }
28 ]
29 },
30 "status": 200
31}Next
GitHub Profile
